/// <reference types="react" />
import { NextContainerProps, NxTopology } from "./NextTypes";
import "../css/next.min.css";
declare global {
    interface Window {
        nx: any;
    }
}
/**
 * NeXT UI React Hook
 * @param {topologyConfig, eventHandlers, topologyData, style, callback}
 * @returns { NextUI, nxApp } NextUI: component to render. Use {} syntax ie <>{NextUI}</>. nxApp:
 */
declare const useNextUi: ({ topologyConfig, eventHandlers, topologyData, style, callback, }: NextContainerProps) => {
    NextUI: JSX.Element;
    nxApp: NxTopology;
};
export default useNextUi;
